Subject: Re: [bug#53523] [PATCH 2/2] gnu: Add neovim-luajit.

From: Efraim Flashner <[email-masked]>
Date: Wed, 26 Jan 2022 16:22:10 +0200

On Wed, Jan 26, 2022 at 09:07:04AM -0300, Luis Henrique Gomes Higino wrote:
> 
> Efraim Flashner <[email-masked]> writes:
> 
> > [[PGP Signed Part:Undecided]]
> > On Tue, Jan 25, 2022 at 05:39:05PM +0000, Maxime Devos wrote:
> > > Luis Henrique Gomes Higino schreef op di 25-01-2022 om 13:56
> > > [-0300]:
> > > > * gnu/packages/vim.scm (neovim-luajit): New variable.
> > > > +(define-public neovim-luajit
> > > > +  (package
> > > > +    (inherit neovim)
> > > > +    (name "neovim-luajit")
> > > > +    (inputs (modify-inputs (package-inputs neovim)
> > > > +              (replace "lua" luajit)))
> > > > +    (arguments
> > > > +     (substitute-keyword-arguments (package-arguments > neovim)
> > > > +       ((#:configure-flags cf) `(delete > "-DPREFER_LUA:BOOL=YES"
> > > > +                                        ,cf))))
> > > > +    (synopsis
> > > > + "Fork of vim focused on extensibility and agility - built > with
> LuaJIT")))
> > > 
> > > Does this need to be a separate package?  I.e., can we use luajit
> > > in the 'neovim' package on systems that support luajit, so not for
> > > powerpc)?
> > 
> > I believe in the past we've discussed using luajit as the default lua
> > for neovim. My guess is we should fall back to lua(-5.1?) on
> > (not (package-supported-system luajit))
> 
> Yes, I believe this is the best solution if it is acceptable by Guix
> standards.

IMO it's basically the same as only adding pandoc for systems with
Haskell support. I think we have a couple of other examples I can't
think of right now.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted